package com.bocloud.cmp.provider.azure.ddos;

import com.bocloud.cmp.model.azure.ddos.DdosProtectionPlanModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * ddos防护计划接口访问
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/1
 */
public interface DdosProtectionPlanProvider extends SuperProvider {

    BocloudResult list(String resourceGroup);

    BocloudResult create(DdosProtectionPlanModel model);

    BocloudResult modify(DdosProtectionPlanModel model);

    BocloudResult delete(String planId);
}
